Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.binding
[Java] Class DefaultASTDatabindingHelper

    java.lang.Object
      org.codehaus.groovy.grails.web.binding.DefaultASTDatabindingHelper

All Implemented Interfaces:
  ASTDatabindingHelper

    public class DefaultASTDatabindingHelper
    extends java.lang.Object

Field Summary
`static java.lang.String` | `BINDABLE_CONSTRAINT_NAME`
`static java.lang.String` | `CONSTRAINTS_FIELD_NAME`
`static java.lang.String` | `DEFAULT_DATABINDING_WHITELIST`
`static java.lang.String` | `NO_BINDABLE_PROPERTIES`

Method Summary
`void` | `injectDatabindingCode(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.classgen.GeneratorContext context, org.codehaus.groovy.ast.ClassNode classNode)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### BINDABLE_CONSTRAINT_NAME

    public static final java.lang.String BINDABLE_CONSTRAINT_NAME

### CONSTRAINTS_FIELD_NAME

    public static final java.lang.String CONSTRAINTS_FIELD_NAME

### DEFAULT_DATABINDING_WHITELIST

    public static final java.lang.String DEFAULT_DATABINDING_WHITELIST

### NO_BINDABLE_PROPERTIES

    public static final java.lang.String NO_BINDABLE_PROPERTIES

Method Detail

### injectDatabindingCode

    public void injectDatabindingCode(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.classgen.GeneratorContext context, org.codehaus.groovy.ast.ClassNode classNode)

Groovy Documentation